package eu.eudat.query.engine.builder;

import eu.eudat.query.engine.expressions.Expression;
import eu.eudat.query.engine.predicates.Predicate;

import java.util.List;

/**
 * Created by ikalyvas on 7/5/2018.
 */
public interface QueryBuilder<T> {

    <P extends Predicate> Expression where(P wherePredicate);

    List<T> toList();
}
