package eu.eudat.logic.managers;

import eu.eudat.data.entities.DataRepository;
import eu.eudat.data.entities.Researcher;
import eu.eudat.logic.services.ApiContext;
import eu.eudat.models.data.datarepository.DataRepositoryModel;

/**
 * Created by ikalyvas on 9/3/2018.
 */
public class DataRepositoryManager {
    public static DataRepository create(ApiContext apiContext, eu.eudat.models.data.datarepository.DataRepositoryModel dataRepositoryModel) throws Exception {
        DataRepository dataRepository = dataRepositoryModel.toDataModel();
        return apiContext.getOperationsContext().getDatabaseRepository().getDataRepositoryDao().createOrUpdate(dataRepository);
    }
}
