package eu.eudat.models;


public class HintedModelFactory {

    public static <T extends DataModel> String getHint(Class<T> clazz) {
        try {
            return clazz.newInstance().getHint();
        } catch (InstantiationException e) {
            e.printStackTrace();
            return null;
        } catch (IllegalAccessException e) {
            e.printStackTrace();
            return null;
        }
    }
}
