import { Credential } from '../../models/login/Credential';
import { LoginOptions } from '../utilties/LoginOptions';
import { LoginService } from '../utilties/login-service';
import { HttpClient } from '@angular/common/http';
import { Component, OnInit, ElementRef, AfterViewInit, VERSION, Injectable, NgZone } from '@angular/core';
import { Router, ActivatedRoute, Params } from "@angular/router";
import { MatPaginator, MatSort, MatSnackBar } from "@angular/material";
import { TranslateService } from "@ngx-translate/core";



@Component({
    selector: 'admin-login',
    templateUrl: './admin-login.component.html',
    styleUrls: ['./admin-login.component.scss']
})
export class AdminLoginComponent implements OnInit {

    public auth2: any;
    public credential: Credential = new Credential()

    constructor(
        private loginService: LoginService
    ) {
    }



    ngOnInit() {
    }

    public nativeLogin() {
        this.loginService.nativeLogin(this.credential);
    }

}