import { Injectable } from "@angular/core";

@Injectable()
export class UrlUtilities {

  public applyUrlTemplate(url: string, params: any): string {
    let paramsToString = "";
    if (params) paramsToString = "?"
    let keys = Object.keys(params);
    keys.forEach(x => {
      if (keys.indexOf(x) > 0) paramsToString += "&"
      paramsToString += x + "=" + params[x];
    })
    return url + paramsToString;
  }

}
