import eu.eudat.data.entities.DataRepository;
import eu.eudat.query.engine.builder.QueryBuilder;
import eu.eudat.query.engine.builder.QueryBuilderImpl;
import eu.eudat.query.engine.predicates.ComparisonPredicate;

/**
 * Created by ikalyvas on 7/5/2018.
 */
public class Main {
    public static void main(String[] args){
        new Main().Test();
    }
    public void Test(){
        QueryBuilder<DataRepository> queryBuilder = new QueryBuilderImpl<>(DataRepository.class);
        queryBuilder.<ComparisonPredicate>where((comparisonExpression) -> comparisonExpression.field("id").greaterThan(5) );
        queryBuilder.<ComparisonPredicate>where((comparisonExpression) -> comparisonExpression.field("label").equal("mitsos") );
        queryBuilder.toList();

        QueryBuilder<DataRepository> queryBuilder2 = new QueryBuilderImpl<>(DataRepository.class);
        queryBuilder2.<ComparisonPredicate>where((comparisonExpression) -> comparisonExpression.field("id").lessOrEqualThan(11111) );
        queryBuilder2.toList();
    }
}
