import { NgModule, LOCALE_ID } from '@angular/core';
import {
  MatToolbarModule,
  MatIconModule,
  MatSidenavModule,
  MatButtonModule,
  MatTableModule,
  MatPaginatorModule,
  MatSortModule,
  MatDialogModule,
  MatDatepickerModule,
  MatNativeDateModule,
  MatInputModule,
  MatFormFieldModule,
  MatSnackBarModule,
  MatAutocompleteModule,
  MatExpansionModule,
  MatSelectModule,
  MatOptionModule,
  MatCardModule,
  MatProgressBarModule,
  MatProgressSpinnerModule,
  DateAdapter,
  MatTooltipModule,
  MatCheckboxModule,
  MatTabsModule,
  MatStepperModule,
  MatRadioModule,
  MatMenuModule,
  MatListModule,
  MatChipsModule,
  MatBadgeModule,
  MAT_DATE_LOCALE,
  MAT_DATE_FORMATS
} from '@angular/material';
import { CdkTableModule } from '@angular/cdk/table';
import { SnackBarNotificationComponent } from '../components/notificaiton/snack-bar-notification.component';
import { CovalentLayoutModule, CovalentChipsModule, CovalentDialogsModule, CovalentFileModule } from '@covalent/core';
import { CultureService } from '../../utilities/culture/culture-service';
import { MomentDateAdapter } from '@angular/material-moment-adapter';

@NgModule({
  imports: [
  ],

  exports: [
    MatToolbarModule,
    MatIconModule,
    MatSidenavModule,
    MatButtonModule,
    MatTableModule,
    MatPaginatorModule,
    CdkTableModule,
    MatSortModule,
    MatDialogModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatInputModule,
    MatFormFieldModule,
    MatSnackBarModule,
    MatAutocompleteModule,
    MatExpansionModule,
    MatSelectModule,
    MatOptionModule,
    MatCardModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatTooltipModule,
    MatCheckboxModule,
    MatTabsModule,
    CovalentLayoutModule,
    CovalentChipsModule,
    CovalentDialogsModule,
    CovalentFileModule,
    MatStepperModule,
    MatRadioModule,
    MatMenuModule,
    MatListModule,
    MatChipsModule,
    MatBadgeModule,

  ],

  providers: [

  ],

  entryComponents: [
    SnackBarNotificationComponent
  ]
})

export class MaterialModule {
  // constructor(dateAdapter: DateAdapter<LocalizedDateAdapter>) {
  // 	dateAdapter.setLocale('el-GR');
  // }
}
